///******************************************************    
///	FileName: ExpoNews.js
///	Action: 后台添加展会页面JS处理文件
///	Copyright(c)  2004-2008 网胜科技公司技术开发部
///	Writer: XYF
///	Create Date: 2008-1-6
///	Rewriter:
///	Rewrite Date:
///****************************************************** 
var txtjbos=new  Array("ctl00_ContInfo_txtTitle","ctl00_ContInfo_txtOrigin")
var rightIcon="../../images/websen.gif"
var rightIcons="../../images/icon_nothing.gif";
function $(id){return document.getElementById(id)}
function getobj(objName)
{
if ($) {return eval('$("'+ objName +'")');}
else {return eval('document.all["'+ objName +'"]');}
}
function oo(){$("yc").style.display="none"}
//等到焦点
for(var i=0;i<txtjbos.length;i++){ $(txtjbos[i]).onfocus =function ()
{for (var j=0;j<txtjbos.length;j++)
{if (txtjbos[j]==event.srcElement.id){postobj(j);}}}}
function postobj(num)
{obj = "txt"+num;
document.getElementById(obj).innerHTML =ExpoNews[num];
}
//失去焦点
for(var i=0;i<txtjbos.length;i++){ $(txtjbos[i]).onblur =function ()
{for (var j=0;j<txtjbos.length;j++)
{if (txtjbos[j]==event.srcElement.id){postob(j);}}}}
function postob(num)
{
obj = "txt"+num;
if ($(obj).innerHTML!="")
{$(obj).innerHTML=""}
else 
{$(obj).innerHTML=ok;}
}
//提交
$("ctl00_ContInfo_btnSave").onclick=function (){
//var chklAttribute=1;
// for (var i=0;i<4;i++)
//{
// if($("ctl00_ContInfo_chklAttribute_"+i).checked==true)
// {
// chklAttribute=0;
// $("chklAttributes").innerHTML="";
// break;}
// else
// {
//  $("chklAttributes").innerHTML=Error[2];
// }

//}
var ExpoNewsAdd=new Array();
ExpoNewsAdd[0]=ExpoN(txtjbos[0],0);
ExpoNewsAdd[1]=ExpoN(txtjbos[1],1);
//ExpoNewsAdd[2]=chklAttribute;
ExpoNewsAdd[3]=FileUPload(2);
//var flag=0;
//for(var ii=0;ii<4;ii++)
//{ 
//if ( ExpoNewsAdd[ii]==1)
//   {
//      flag=1;
//      break;
//   }
//}
//for (var m=0;m<4;m++)
//{
//$("ctl00_ContInfo_chklAttribute_"+m).onclick=function ()
//{
//if (!$("chklAttributes").innerHTML=="")
//{$("chklAttributes").innerHTML=""}
//}
//}
//if(flag==1)
// {   
//  if (FileUPload(2)==1)
// {alert("上传图片不能为空!")}
// return false}
//else
// {return true}

}
//处理方法
function ExpoN(name,num)
{
var obj="txt"+num
   if($(name).value.replace(/\s/g,'')=="")
    {
       $(obj).innerHTML=Error[num];
       return 1;
    }
    else
    {
      $(obj).innerHTML=ok;
      return 0;
    }
}
////显示信息
var ok="<font color=#999999>输入符合规范</font>";
var title="<p>";
var titles="</p>"
var ExpoNews=new Array();
ExpoNews[0]=title+"请输入信息标题"+titles;
ExpoNews[1]=title+"请输入信息来源"+titles;
//处理显示信息
var TitleError="<img src="+rightIcon+" align=\"absmiddle\"> <font color=#FF0000>"
var TitleErrors="</font>"
var Error=new  Array();
Error[0]=TitleError+"信息标题不能为空，请重新设置信息标题"+TitleErrors
Error[1]=TitleError+"信息来源不能为空，请重新设置信息来源"+TitleErrors
Error[2]=TitleError+"信息属性没有选择，至少选择一项"+TitleErrors
Error[3]=TitleError+"上传图片不能为空，请重新设置上传图片"+TitleErrors
Error[4]=TitleError+"上传图片格式错误，请重新设置上传图片"+TitleErrors
